<%= form_with(model: user, local: true) do |form| %>
  <% if user.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(user.errors.count, "error") %> prohibited this user from being saved:</h2>

      <ul>
      <% user.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :firstname %>
    <%= form.text_field :firstname, id: :user_firstname %>
  </div>

  <div class="field">
    <%= form.label :lastname %>
    <%= form.text_field :lastname, id: :user_lastname, type: :lastname %>
  </div>

  <div class="actions">
    <%= form.submit "Update my informations"%>
  </div>
<% end %>
